%define	major 2
%define libname %mklibname archive %{major}
%define develname %mklibname archive -d

Summary:	Library for reading and writing streaming archives
Name:		libarchive
Version:	2.7.1
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		http://code.google.com/p/libarchive/
Source0:	http://libarchive.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		libarchive-2.6.1-headers.patch
Patch1:		libarchive-2.7.0-no-Werror.diff
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	bzip2-devel
BuildRequires:	libacl-devel
BuildRequires:	libattr-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	libtool
BuildRequires:	zlib-devel
BuildRequires:	lzma-devel
BuildRequires:	sharutils
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Libarchive is a programming library that can create and read several different
streaming archive formats, including most popular tar variants and several cpio
formats. It can also write shar archives and read ISO9660 CDROM images and ZIP
archives. The bsdtar program is an implementation of tar(1) that is built on
top of libarchive. It started as a test harness, but has grown and is now the
standard system tar for FreeBSD 5 and 6.

%package -n	%{libname}
Summary:	Library for reading and writing streaming archives
Group:          System/Libraries

%description -n	%{libname}
Libarchive is a programming library that can create and read several different
streaming archive formats, including most popular tar variants and several cpio
formats. It can also write shar archives and read ISO9660 CDROM images and ZIP
archives. The bsdtar program is an implementation of tar(1) that is built on
top of libarchive. It started as a test harness, but has grown and is now the
standard system tar for FreeBSD 5 and 6.

%package -n	%{develname}
Summary:	Static library and header files for the libarchive library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{libname}-devel = %{version}
Obsoletes:	%{libname}-devel
Obsoletes:	%{mklibname archive 1}-devel
Provides:	%{name}-devel = %{version}

%description -n	%{develname}
Libarchive is a programming library that can create and read several different
streaming archive formats, including most popular tar variants and several cpio
formats. It can also write shar archives and read ISO9660 CDROM images and ZIP
archives. The bsdtar program is an implementation of tar(1) that is built on
top of libarchive. It started as a test harness, but has grown and is now the
standard system tar for FreeBSD 5 and 6.

This package contains header files for the libarchive library.

%package -n	bsdtar
Summary:	Full-featured tar replacement built on libarchive
Group:		Archiving/Backup

%description -n	bsdtar
The bsdtar program is a full-featured tar replacement built on libarchive.

%package -n	bsdcpio
Summary:	Copy files to and from archives
Group:		Archiving/Backup

%description -n	bsdcpio
bsdcpio copies files between archives and directories. This implementation can
extract from tar, pax, cpio, zip, jar, ar, and ISO 9660 cdrom images and can
create tar, pax, cpio, ar, and shar archives.

%prep

%setup -q
%patch0 -p0 -b .headers
%patch1 -p0 -b .no-Werror

%build
autoreconf -fis

%configure2_5x \
    --enable-bsdtar=shared \
    --enable-bsdcpio=shared

%make

%install
rm -rf %{buildroot}

%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n bsdtar
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/bsdtar
%attr(0644,root,root) %{_mandir}/man1/bsdtar.1*

%files -n bsdcpio
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/bsdcpio
%attr(0644,root,root) %{_mandir}/man1/bsdcpio.1*

%files -n %{libname}
%defattr(-,root,root)
%doc NEWS README
%attr(0755,root,root) %{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/*so
%attr(0644,root,root) %{_libdir}/*.a
%attr(0644,root,root) %{_libdir}/*.la
%attr(0644,root,root) %{_includedir}/*.h
%attr(0644,root,root) %{_mandir}/man3/*
%attr(0644,root,root) %{_mandir}/man5/*


%changelog
* Fri Aug 28 2009 Frederik Himpe <fhimpe@mandriva.org> 2.7.1-1mdv2010.0
+ Revision: 422034
- update to new version 2.7.1

* Sun Jun 21 2009 Oden Eriksson <oeriksson@mandriva.com> 2.7.0-1mdv2010.0
+ Revision: 387638
- 2.7.0
- dropped one upstream patch
- rediffed one patch
- added one patch to fix build

* Sun Mar 22 2009 Funda Wang <fundawang@mandriva.org> 2.6.2-1mdv2009.1
+ Revision: 360163
- new version 2.6.2

* Sun Feb 01 2009 Oden Eriksson <oeriksson@mandriva.com> 2.6.1-1mdv2009.1
+ Revision: 336156
- 2.6.1
- new url
- reconstruct autopoo
- added a header fix patch from gentoo

* Wed Jan 21 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.6.0-2mdv2009.1
+ Revision: 332384
- use new liblzma and also add support for new xz format (P0)
- ditch useless %%buildroot != "/" check..
- properly set dynamic build of bsdtar in stead of hackishly modify the Makefile

* Sat Jan 03 2009 Funda Wang <fundawang@mandriva.org> 2.6.0-1mdv2009.1
+ Revision: 323640
- New version 2.6.0

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.5-2mdv2009.1
+ Revision: 315553
- rebuild

* Fri Jul 18 2008 Funda Wang <fundawang@mandriva.org> 2.5.5-1mdv2009.0
+ Revision: 237992
- BR ext2fs
- New version 2.5.5

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat May 31 2008 Funda Wang <fundawang@mandriva.org> 2.4.17-1mdv2009.0
+ Revision: 213652
- New version 2.4.17

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.4.11-2mdv2008.1
+ Revision: 170943
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Mon Jan 21 2008 Funda Wang <fundawang@mandriva.org> 2.4.11-1mdv2008.1
+ Revision: 155589
- update to new version 2.4.11

* Sun Dec 30 2007 Funda Wang <fundawang@mandriva.org> 2.4.10-1mdv2008.1
+ Revision: 139575
- New version 2.4.10

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 19 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.6-1mdv2008.0
+ Revision: 66729
- 2.2.6
- new major
- conform to the 2008 specs


* Mon Jul 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.53-1mdv2007.0
- initial Mandriva package

